package com.bonus.zlpt.company.service.impl;

import com.bonus.zlpt.company.api.domain.BmCoBank;
import com.bonus.zlpt.company.service.BmCoBankService;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import com.bonus.zlpt.company.mapper.BmCoBankMapper;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/2 12:53
* @Version 1.0
*/

@Service
public class BmCoBankServiceImpl implements BmCoBankService {

    @Resource
    private BmCoBankMapper bmCoBankMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return bmCoBankMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(BmCoBank record) {
        return bmCoBankMapper.insert(record);
    }

    @Override
    public int insertSelective(BmCoBank record) {
        return bmCoBankMapper.insertSelective(record);
    }

    @Override
    public BmCoBank selectByPrimaryKey(Integer id) {
        return bmCoBankMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(BmCoBank record) {
        return bmCoBankMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(BmCoBank record) {
        return bmCoBankMapper.updateByPrimaryKey(record);
    }

}
